EventListenerRegistryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.service.internal
Class EventListenerRegistryImpl

    java.lang.Object
      org.hibernate.event.service.internal.EventListenerRegistryImpl

All Implemented Interfaces:
  Serializable, EventListenerRegistry, Service

    public class EventListenerRegistryImpl

extends Object
implements EventListenerRegistry

See Also:
  Serialized Form

Constructor Summary
`EventListenerRegistryImpl()`

Method Summary
`void` | `addDuplicationStrategy(DuplicationStrategy strategy)`
`
`<T> void`
` | `appendListeners(EventType<T> type, Class<? extends T>... listenerClasses)`
`
`<T> void`
` | `appendListeners(EventType<T> type, T... listeners)`
`
`<T> EventListenerGroupImpl<T>`
` | `getEventListenerGroup(EventType<T> eventType)`
`
`<T> void`
` | `prependListeners(EventType<T> type, Class<? extends T>... listenerClasses)`
`
`<T> void`
` | `prependListeners(EventType<T> type, T... listeners)`
`
`<T> void`
` | `setListeners(EventType<T> type, Class<? extends T>... listenerClasses)`
`
`<T> void`
` | `setListeners(EventType<T> type, T... listeners)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerRegistryImpl

    public EventListenerRegistryImpl()

Method Detail

### getEventListenerGroup

    public <T> EventListenerGroupImpl<T> getEventListenerGroup(EventType<T> eventType)

  Specified by:
    `getEventListenerGroup` in interface `EventListenerRegistry`

### addDuplicationStrategy

    public void addDuplicationStrategy(DuplicationStrategy strategy)

  Specified by:
    `addDuplicationStrategy` in interface `EventListenerRegistry`

### setListeners

    public <T> void setListeners(EventType<T> type,
                                 Class<? extends T>... listenerClasses)

  Specified by:
    `setListeners` in interface `EventListenerRegistry`

### setListeners

    public <T> void setListeners(EventType<T> type,
                                 T... listeners)

  Specified by:
    `setListeners` in interface `EventListenerRegistry`

### appendListeners

    public <T> void appendListeners(EventType<T> type,
                                    Class<? extends T>... listenerClasses)

  Specified by:
    `appendListeners` in interface `EventListenerRegistry`

### appendListeners

    public <T> void appendListeners(EventType<T> type,
                                    T... listeners)

  Specified by:
    `appendListeners` in interface `EventListenerRegistry`

### prependListeners

    public <T> void prependListeners(EventType<T> type,
                                     Class<? extends T>... listenerClasses)

  Specified by:
    `prependListeners` in interface `EventListenerRegistry`

### prependListeners

    public <T> void prependListeners(EventType<T> type,
                                     T... listeners)

  Specified by:
    `prependListeners` in interface `EventListenerRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.